%define name    libmatroska
%define version 0.5.0

Summary:        Matroska Audio/Video file format library
Name:           %name
Version:        %version
Release:        1mdk
License:        GPL/QPL
Group:		System/Libraries
URL:            http://www.matroska.org/
Source0:        http://matroska.sourceforge.net/downloads/%name-%version.tar.bz2
BuildRoot:      %_tmppath/%name-buildroot
BuildRequires:  libebml-devel >= %version

%description
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.


%package devel
Group: Development/C++
Summary: Matroska Audio/Video file format headers and static library
Requires: libebml-devel  >= %version

%description devel
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

This package contains the C++ headers and the static library needed
for development with Matroska.

%prep
%setup -q -n %name
chmod 644 LICENSE*

%build
cd make/linux
%make


%install
rm -rf %buildroot
cd make/linux
%makeinstall_std prefix=%buildroot/%_prefix

%clean
rm -rf %buildroot


%files devel
%defattr(-,root,root)
%doc LICENSE*
%{_includedir}/matroska
%{_libdir}/lib*.a



%changelog
* Wed Aug 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- fix doc list
- fix build
- drop patches
- new version

* Mon Jun 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.4-4mdk
- patch1: fix build with the new ebml package

* Sun Jun 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.4-3mdk
- move headers to the right dir

* Thu Jun 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.4-2mdk
- small patch to make it compile without installed libmatroska-devel 

* Thu Jun 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.4-1mdk
- new version

* Thu May 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3-1mdk
- new version

* Mon May 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- requires latest ebml
- new version

* Mon May  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- initial package
